> For the complete documentation index, see [llms.txt](https://docs.demeng.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.demeng.dev/grantx/commands.md).

# Commands

### /grantx

**Description:** Base command, displays plugin information.

### /grantx help

**Description:** Displays a list of commands.

### /grantx editor

**Description:** Opens the in-game rank, server, duration, and reason editor.\
**Permission:** grantx.editor

### /grantx logs \[issuer]

**Description:** Opens the grant logs menu. Specifying a player will only show grants issued by that specific player. Otherwise, all issued grants will be shown.\
**Permission:** grantx.logs

### /grantx delete

**Description:** Permanently deletes the grant with the specified ID from the database.\
**Permission:** grantx.delete

### /grantx import

**Description:** Import ranks from your permissions plugin into GrantX.\
**Permission:** grantx.import

### /grantx addProtection {player}

**Description:** Prevent other people from granting the specified player and viewing their previous grants.\
**Permission:** grantx.addprotection

### /grantx removeProtection {player}

**Description:** Remove protection from the specified player.\
**Permission:** grantx.removeprotection

### /grantx updateCache

**Description:** Forcibly update the local player cache on the current server.\
**Permission:** grantx.updatecache

### /grantx reload

**Description:** Reloads all configuration files.\
**Permission:** grantx.reload

### /grant \[player] \[rank] \[server] \[duration] \[reason]

**Description:** Issue a new grant. If no player argument is provided, player selector will open. If the player name is the only argument, the normal grant GUI will open. If rank, server, duration, and reason are all provided, there will be no GUI or confirmation and the grant will be forcibly activated.\
**Permission:** grantx.grant

### /grants \[player]

**Description:** View the specified player's grant history. If no player is specified, player selector will open first.\
**Permission:** grantx.grants

## Standalone Permissions

These permissions are not directly related to any commands.

### grantx.bypassprotection

**Description:** Bypass any protection a player may have.

### grantx.revoke.(rank)

**Description:** Permission to revoke ranks with the specified ID in grant history menus.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.demeng.dev/grantx/commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
